/***********************************************************************
 *      This example program is an excerpt from the book:              *
 *                                                                     *
 *          X Window OSF/Motif Toolkit Programming (I)                 *
 *            - Programming Basics, Resource and Event -               *
 *                                                                     *
 *      Copyright 1994, Hideyuki Hayashi                               *
 *                                                                     *
 *      This program can be distributed without fee, provided          *
 *      that the above copyright notice appear in all copies.          *
 ***********************************************************************/

#include <Xm/XmAll.h>

main(argc, argv)
    int  argc;
    char **argv;
{
    XtAppContext app_context;
    Widget  toplevel, bboard, text, text_sw;
    Arg     al[20];
    int     ac;

    XtSetLanguageProc(NULL, NULL, NULL);

    ac = 0;
    toplevel = XtAppInitialize(&app_context, "Scrolltext", NULL, 0,
                               &argc, argv, NULL, al, ac);

    ac = 0;  /* Parent widget */
    bboard = XmCreateBulletinBoard(toplevel, "bboard", al, ac);
    XtManageChild(bboard);

    ac = 0;  /* Create a scrolled text */
    text = XmCreateScrolledText(bboard, "text", al, ac);
    XtManageChild(text);

    text_sw = XtParent(text); /* Get the widget ID of scrolled window */
    ac = 0;
    XtSetArg(al[ac], XmNx, 60); ac++; /* Specify X coordinate of scrolled text */
    XtSetValues(text_sw, al, ac);

    XtRealizeWidget(toplevel);
    XtAppMainLoop(app_context);
}
